---
updatedAt: 2026-07-30T11:03:45.000Z
agentTools:
  projectIndex: https://developer.orangelogic.com/llms.txt
---

# Custom route job status

Query the job status for custom route creation or obtain custom route links

Here is an example call using sample values for each of the query parameters described in the table below.

<details><summary>Example with Asynchronous execution</summary>

```
curl -X 'GET' \
  'https://mangovations.orangelogic.com/webapi/objectmanagement/share/querybatchupsertassetlinkswithcustomroutejobstatus_41FE_v1?JobRecordID=2Z9XPH3T3T3' \
  -H 'accept: text/plain'
```

</details>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "get-link",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://{OrangeLogicURL}/webapi/objectmanagement/share",
      "variables": {
        "OrangeLogicURL": {
          "default": "OrangeLogicURL"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://example.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/querybatchupsertassetlinkswithcustomroutejobstatus_41FE_v1": {
      "get": {
        "summary": "Custom route job status",
        "description": "Query the job status for custom route creation or obtain custom route links",
        "operationId": "custom-route-job-status",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "jobRecordID": {
                    "type": "string",
                    "description": "The <code>jobRecordID</code> of the custom route job you want to check the status of."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}{\n  \"jobStatus\": \"Succeeded\",\n  \"result\": {\n    \"isRunning\": false,\n    \"jobRecordID\": \"2Z9XPH3T3T3\",\n    \"results\": [\n      {\n        \"assetID\": \"2Z9XC5NG0N6\",\n        \"format\": \"TR1\",\n        \"expirationDate\": \"2026-07-25T12:55:05.943Z\",\n        \"link\": \"https://mango-cdn.orangelogic.com/public/Promenade-des-Anglais-Nice-TR1.auto\n\"\n      },\n      {\n        \"assetID\": \"2Z9XC5NNOOC\",\n        \"format\": \"TR1\",\n        \"expirationDate\": \"2026-07-25T12:55:05.943Z\",\n        \"link\": \"https://mango-cdn.orangelogic.com/public/historic-village-in-provence-tr1.auto\"\n      }\n    ]\n    \"errors\": []\n  }\n}\n"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```